# Uses of Interface
javax.annotation.processing.Completion

Packages that use Completion
Package
Description
javax.annotation.processing
Facilities for declaring annotation processors and for allowing annotation processors to communicate with an annotation processing tool environment.

- ## Uses of Completion in javax.annotation.processing

  Methods in javax.annotation.processing that return Completion
  Modifier and Type
  Method
  Description
  `static Completion`
  Completions.`of(String value)`
  Returns a completion of the value and an empty message.
  `static Completion`
  Completions.`of(String value, String message)`
  Returns a completion of the value and message.
  Methods in javax.annotation.processing that return types with arguments of type Completion
  Modifier and Type
  Method
  Description
  `Iterable<? extends Completion>`
  AbstractProcessor.`getCompletions(Element element, AnnotationMirror annotation, ExecutableElement member, String userText)`
  Returns an empty iterable of completions.
  `Iterable<? extends Completion>`
  Processor.`getCompletions(Element element, AnnotationMirror annotation, ExecutableElement member, String userText)`
  Returns to the tool infrastructure an iterable of suggested completions to an annotation.